itt_notify.h File Reference
`#include "tbb/tbb_stddef.h"`
Include dependency graph for itt_notify.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| tbb
| The graph class.
| tbb::internal
| Identifiers declared inside namespace internal should never be used directly by client code.

## Macros

#define | ITT_CALLER_NULL ((__itt_caller)0)
#define | _T(string_literal) string_literal
| Standard Windows style macro to markup the string literals. More...
#define | ITT_NOTIFY(name, obj) ((void)0)
#define | ITT_THREAD_SET_NAME(name) ((void)0)
#define | ITT_FINI_ITTLIB() ((void)0)
#define | ITT_SYNC_CREATE(obj, type, name) ((void)0)
#define | ITT_SYNC_RENAME(obj, name) ((void)0)
#define | ITT_STACK_CREATE(obj) ((void)0)
#define | ITT_STACK(precond, name, obj) ((void)0)
#define | ITT_TASK_GROUP(type, name, parent) ((void)0)
#define | ITT_TASK_BEGIN(type, name, id) ((void)0)
#define | ITT_TASK_END ((void)0)

## Typedefs

typedef char | tbb::tchar
| Unicode support. More...

## Functions

int | tbb::internal::__TBB_load_ittnotify ()

## Macro Definition Documentation

## _T

#define _T | ( |  | string_literal | ) | string_literal

Standard Windows style macro to markup the string literals.

Definition at line 59 of file itt_notify.h.

## ITT_CALLER_NULL

#define ITT_CALLER_NULL ((__itt_caller)0)

Definition at line 45 of file itt_notify.h.

## ITT_FINI_ITTLIB

#define ITT_FINI_ITTLIB | ( |  | ) | ((void)0)

Definition at line 114 of file itt_notify.h.

## ITT_NOTIFY

#define ITT_NOTIFY | ( |  | name,
|  |  | obj
| ) |  | ((void)0)

Definition at line 112 of file itt_notify.h.

## ITT_STACK

#define ITT_STACK | ( |  | precond,
|  |  | name,
|  |  | obj
| ) |  | ((void)0)

Definition at line 118 of file itt_notify.h.

## ITT_STACK_CREATE

#define ITT_STACK_CREATE | ( |  | obj | ) | ((void)0)

Definition at line 117 of file itt_notify.h.

## ITT_SYNC_CREATE

#define ITT_SYNC_CREATE | ( |  | obj,
|  |  | type,
|  |  | name
| ) |  | ((void)0)

Definition at line 115 of file itt_notify.h.

## ITT_SYNC_RENAME

#define ITT_SYNC_RENAME | ( |  | obj,
|  |  | name
| ) |  | ((void)0)

Definition at line 116 of file itt_notify.h.

## ITT_TASK_BEGIN

#define ITT_TASK_BEGIN | ( |  | type,
|  |  | name,
|  |  | id
| ) |  | ((void)0)

Definition at line 121 of file itt_notify.h.

## ITT_TASK_END

#define ITT_TASK_END ((void)0)

Definition at line 122 of file itt_notify.h.

## ITT_TASK_GROUP

#define ITT_TASK_GROUP | ( |  | type,
|  |  | name,
|  |  | parent
| ) |  | ((void)0)

Definition at line 120 of file itt_notify.h.

## ITT_THREAD_SET_NAME

#define ITT_THREAD_SET_NAME | ( |  | name | ) | ((void)0)

Definition at line 113 of file itt_notify.h.

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.